From 1bb60d3eda5bc68e12b340bbbd4b4c4d296da603 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 19 Sep 2023 15:46:55 +0200
Subject: [PATCH 1/2] Drop unused KCompletion dependency

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt     | 1 -
 src/CMakeLists.txt | 1 -
 2 files changed, 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index faa4260e..09ee0fab 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -48,7 +48,6 @@ find_package(
         JobWidgets
         KIO
         Crash
-        Completion
         WidgetsAddons
         Wallet
         Notifications
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 112d97f7..fd0b9571 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -91,7 +91,6 @@ target_link_libraries(
     KF5::KIOCore
     KF5::KIOGui
     KF5::Crash
-    KF5::Completion
     KF5::WindowSystem
     Qt::DBus
     Qt::Concurrent
-- 
2.42.0


From e2b9f7f3b1227d5cc4612d890c199a4864f217df Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 19 Sep 2023 16:00:59 +0200
Subject: [PATCH 2/2] Don't build tests if not requested

This is copied from src/tests/CMakeLists.txt

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt b/src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt
index cd1d3b6c..2d44ae76 100644
--- a/src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt
+++ b/src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt
@@ -1,3 +1,8 @@
+if(NOT BUILD_TESTING)
+    # Skip everything. Particularly trying to look for integration test deps.
+    return()
+endif()
+
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 include(ECMAddTests)
-- 
2.42.0

